FROM node:12.17.0-alpine

WORKDIR /app

ENV PATH /app/node_modules/.bin:$PATH

COPY package.json /app/package.json

RUN npm install --silent
RUN npm install -g @angular/cli --silent

COPY . /app

EXPOSE 4200

CMD ng serve --host 0.0.0.0
